Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class TransformedSortedMap

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractMapDecorator
            |
            +--org.apache.commons.collections.map.AbstractInputCheckedMapDecorator
                  |
                  +--org.apache.commons.collections.map.TransformedMap
                        |
                        +--org.apache.commons.collections.map.TransformedSortedMap

All Implemented Interfaces:
  Map, Serializable, SortedMap

public class TransformedSortedMap
extends TransformedMap
implements SortedMap

Decorates another `SortedMap` to transform objects that are added.

The Map put methods and Map.Entry setValue method are affected by this class. Thus objects must be removed or searched for using their transformed form. For example, if the transformation converts Strings to Integers, you must use the Integer form to remove objects.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/04/09 10:36:01 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.map.TransformedMap
`keyTransformer, valueTransformer`

Fields inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`map`

Constructor Summary
`protected` | `TransformedSortedMap(SortedMap map, Transformer keyTransformer, Transformer valueTransformer)` Constructor that wraps (not copies).

Method Summary
`Comparator` | `comparator()`
`static SortedMap` | `decorate(SortedMap map, Transformer keyTransformer, Transformer valueTransformer)` Factory method to create a transforming sorted map.
`Object` | `firstKey()`
`protected SortedMap` | `getSortedMap()` Gets the map being decorated.
`SortedMap` | `headMap(Object toKey)`
`Object` | `lastKey()`
`SortedMap` | `subMap(Object fromKey, Object toKey)`
`SortedMap` | `tailMap(Object fromKey)`

Methods inherited from class org.apache.commons.collections.map.TransformedMap
`checkSetValue, decorate, entrySet, isSetValueChecking, put, putAll, transformKey, transformMap, transformValue`

Methods inherited from class org.apache.commons.collections.map.AbstractMapDecorator
`clear, containsKey, containsValue, equals, get, getMap, hashCode, isEmpty, keySet, remove, size, toString, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### TransformedSortedMap

    protected TransformedSortedMap(SortedMap map,
                                   Transformer keyTransformer,
                                   Transformer valueTransformer)

  Constructor that wraps (not copies).

  If there are any elements already in the collection being decorated, they are NOT transformed.

Parameters:
  `map` - the map to decorate, must not be null
  `keyTransformer` - the predicate to validate the keys, null means no transformation
  `valueTransformer` - the predicate to validate to values, null means no transformation
Throws:
  `IllegalArgumentException` - if the map is null

Method Detail

### decorate

    public static SortedMap decorate(SortedMap map,
                                     Transformer keyTransformer,
                                     Transformer valueTransformer)

  Factory method to create a transforming sorted map.

  If there are any elements already in the map being decorated, they are NOT transformed.

  Parameters:
    `map` - the map to decorate, must not be null
    `keyTransformer` - the predicate to validate the keys, null means no transformation
    `valueTransformer` - the predicate to validate to values, null means no transformation
  Throws:
    `IllegalArgumentException` - if the map is null

### getSortedMap

    protected SortedMap getSortedMap()

  Gets the map being decorated.

  Returns:
    the decorated map

### firstKey

    public Object firstKey()

  Specified by:
    `firstKey` in interface `SortedMap`

### lastKey

    public Object lastKey()

  Specified by:
    `lastKey` in interface `SortedMap`

### comparator

    public Comparator comparator()

  Specified by:
    `comparator` in interface `SortedMap`

### subMap

    public SortedMap subMap(Object fromKey,
                            Object toKey)

  Specified by:
    `subMap` in interface `SortedMap`

### headMap

    public SortedMap headMap(Object toKey)

  Specified by:
    `headMap` in interface `SortedMap`

### tailMap

    public SortedMap tailMap(Object fromKey)

  Specified by:
    `tailMap` in interface `SortedMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.